version: '3.8'

services:
  db:
    image: postgres:12.14-alpine
    container_name: monsuivisocial-api_pg
    environment:
      - POSTGRES_DB=mss
      - POSTGRES_USER=mss
      - POSTGRES_PASSWORD=password
    ports:
      - '$DB_PORT:5432'
    volumes:
      - mss-api_pgdata:/var/lib/postgresql/data
    networks:
      - mss-api_network
    restart: always

volumes:
  mss-api_pgdata:
    name: mss-api_pgdata

networks:
  mss-api_network:
    external: false
    name: mss-api_network
